Package ghidra.framework.data

# Class GhidraFileData

java.lang.Object
ghidra.framework.data.GhidraFileData

public class GhidraFileData extends Object
`GhidraFileData` provides the managed object which represents a project file that corresponds to matched `FolderItem` pair across both a versioned and private filesystem and viewed as a single file at the project level. This class closely mirrors the `DomainFile` interface and is used by the `GhidraFile` implementation; both of which represent immutable file references. Changes made to this file's name or path are not reflected in old `DomainFile` instances and must be re-instantiated following such a change. Any long-term retention of `DomainFolder` and `DomainFile` instances requires an appropriate change listener to properly discard/reacquire such instances.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Icon`
  `CHECKED_OUT_EXCLUSIVE_ICON`
  `static final Icon`
  `CHECKED_OUT_ICON`
  `static final Icon`
  `HIJACKED_ICON`
  `static final Icon`
  `NOT_LATEST_CHECKED_OUT_ICON`
  `static final Icon`
  `READ_ONLY_ICON`
  `static final Icon`
  `UNSUPPORTED_FILE_ICON`
  `static final Icon`
  `VERSION_ICON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNSUPPORTED_FILE_ICON

    public static final Icon UNSUPPORTED_FILE_ICON

  - ### CHECKED_OUT_ICON

    public static final Icon CHECKED_OUT_ICON

  - ### CHECKED_OUT_EXCLUSIVE_ICON

    public static final Icon CHECKED_OUT_EXCLUSIVE_ICON

  - ### HIJACKED_ICON

    public static final Icon HIJACKED_ICON

  - ### VERSION_ICON

    public static final Icon VERSION_ICON

  - ### READ_ONLY_ICON

    public static final Icon READ_ONLY_ICON

  - ### NOT_LATEST_CHECKED_OUT_ICON

    public static final Icon NOT_LATEST_CHECKED_OUT_ICON

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`